#import <Cocoa/Cocoa.h>

@class ILMediaObjectsViewController;

@interface ILMediaBrowserView : NSControl
{
	ILMediaObjectsViewController *_mediaObjectsViewController;	// 92 = 0x5c
	NSSplitView *_splitView;	// 96 = 0x60
	NSView *_controlView;	// 100 = 0x64
	NSSearchField *_searchField;	// 104 = 0x68
	NSTextField *_itemCountText;	// 108 = 0x6c
	NSButton *_playButton;	// 112 = 0x70
	NSButton *_applyButton;	// 116 = 0x74
	int _currentBrowserType;	// 120 = 0x78
	int _displayMode;	// 124 = 0x7c
	unsigned int _controlSize;	// 128 = 0x80
	BOOL _showsControlView;	// 132 = 0x84
	BOOL _allowsMultipleSelection;	// 133 = 0x85
	BOOL _displaysToolTips;	// 134 = 0x86
	SEL _doubleAction;	// 136 = 0x88
	unsigned int _filteredContentTypes;	// 140 = 0x8c
	NSString *_filterString;	// 144 = 0x90
	BOOL _useSplitView;	// 148 = 0x94
	BOOL _isCollapsed;	// 149 = 0x95
	BOOL _isVertical;	// 150 = 0x96
	struct _NSSize _thumbnailCellSize;	// 152 = 0x98
	BOOL _showsThumbnailCaptions;	// 160 = 0xa0
	BOOL _delegateFiltersMediaManagers;	// 161 = 0xa1
	BOOL _delegateFiltersMediaGroups;	// 162 = 0xa2
	BOOL _delegateFiltersMediaObjects;	// 163 = 0xa3
	BOOL _delegateControlsObjectSelection;	// 164 = 0xa4
	BOOL _establishedBindings;	// 165 = 0xa5
	BOOL _inDelegatePreview;	// 166 = 0xa6
	int _lastiTunesCategory;	// 168 = 0xa8
	int _lastiPhotoCategory;	// 172 = 0xac
	int _lastMovieCategory;	// 176 = 0xb0
	id _delegate;	// 180 = 0xb4
	id _reserved1;	// 184 = 0xb8
	id _reserved2;	// 188 = 0xbc
	id _reserved3;	// 192 = 0xc0
}

+ (id)localizedString:(id)fp8;	// IMP=0x0000ff72
+ (void)setSplitViewClass:(Class)fp8;	// IMP=0x00013a2a
+ (Class)splitViewClass;	// IMP=0x00013a48
+ (void)setScrollViewClass:(Class)fp8;	// IMP=0x00013a75
+ (Class)scrollViewClass;	// IMP=0x00013a93
+ (void)setScrollerClass:(Class)fp8;	// IMP=0x00013ac0
+ (Class)scrollerClass;	// IMP=0x00013ade
+ (void)setPopUpButtonClass:(Class)fp8;	// IMP=0x00013b0b
+ (Class)popUpButtonClass;	// IMP=0x00013b29
+ (void)setSearchFieldClass:(Class)fp8;	// IMP=0x00013b56
+ (Class)searchFieldClass;	// IMP=0x00013b74
+ (void)setTableHeaderCellClass:(Class)fp8;	// IMP=0x00013ba1
+ (Class)tableHeaderCellClass;	// IMP=0x00013bbf
- (id)initWithFrame:(struct _NSRect)fp8;	// IMP=0x0000fffb
- (id)initWithFrame:(struct _NSRect)fp8 mediaTypes:(unsigned int)fp24;	// IMP=0x00010047
- (void)viewWillMoveToWindow:(id)fp8;	// IMP=0x0001069a
- (void)viewWillMoveToSuperview:(id)fp8;	// IMP=0x000106f4
- (void)viewDidMoveToSuperview;	// IMP=0x0001084e
- (void)dealloc;	// IMP=0x00010b21
- (void)displayAudioBrowser:(id)fp8;	// IMP=0x00010dad
- (void)displayImageBrowser:(id)fp8;	// IMP=0x00010dcc
- (void)displayMovieBrowser:(id)fp8;	// IMP=0x00010deb
- (void)setCurrentBrowserType:(int)fp8;	// IMP=0x00010e0a
- (void)refreshCurrentBrowser;	// IMP=0x00010eac
- (int)currentBrowserType;	// IMP=0x00010fbb
- (void)togglePreview:(id)fp8;	// IMP=0x00010fc6
- (void)startPreview:(id)fp8;	// IMP=0x0001101a
- (void)stopPreview:(id)fp8;	// IMP=0x0001103b
- (void)setDelegate:(id)fp8;	// IMP=0x0001105c
- (id)delegate;	// IMP=0x000111c2
- (void)reloadData;	// IMP=0x000111d0
- (void)setDoubleAction:(SEL)fp8;	// IMP=0x0001142c
- (SEL)doubleAction;	// IMP=0x0001143d
- (id)clickedItem;	// IMP=0x0001144b
- (void)selectMediaGroup:(id)fp8 byExtendingSelection:(BOOL)fp12;	// IMP=0x0001146c
- (void)selectMediaGroupIndexes:(id)fp8 byExtendingSelection:(BOOL)fp12;	// IMP=0x00011494
- (id)selectedMediaGroups;	// IMP=0x000114bc
- (id)selectedMediaGroup;	// IMP=0x00011614
- (void)selectMediaObject:(id)fp8 byExtendingSelection:(BOOL)fp12;	// IMP=0x0001164c
- (void)selectMediaObjectIndexes:(id)fp8 byExtendingSelection:(BOOL)fp12;	// IMP=0x00011674
- (id)selectedMediaObjects;	// IMP=0x0001169c
- (id)selectedMediaObject;	// IMP=0x00011803
- (id)displayedMediaGroups;	// IMP=0x0001183b
- (id)displayedMediaObjects;	// IMP=0x00011876
- (void)setDisplayMode:(int)fp8;	// IMP=0x000118b1
- (int)displayMode;	// IMP=0x000118bf
- (void)setShowsControlView:(BOOL)fp8;	// IMP=0x000118ca
- (BOOL)showsControlView;	// IMP=0x000118f1
- (void)setDisplaysToolTips:(BOOL)fp8;	// IMP=0x00011900
- (BOOL)displaysToolTips;	// IMP=0x00011955
- (void)setControlSize:(unsigned int)fp8;	// IMP=0x00011964
- (unsigned int)controlSize;	// IMP=0x00011975
- (void)setAllowsMultipleSelection:(BOOL)fp8;	// IMP=0x00011983
- (BOOL)allowsMultipleSelection;	// IMP=0x00011994
- (void)setFilteredContentTypes:(unsigned int)fp8;	// IMP=0x000119a3
- (unsigned int)filteredContentTypes;	// IMP=0x000119b4
- (void)setFilterString:(id)fp8;	// IMP=0x000119c2
- (id)filterString;	// IMP=0x00011e66
- (void)setThumbnailCellSize:(struct _NSSize)fp8;	// IMP=0x00011e74
- (struct _NSSize)thumbnailCellSize;	// IMP=0x00011f0a
- (void)setShowsThumbnailCaptions:(BOOL)fp8;	// IMP=0x00011f1e
- (BOOL)showsThumbnailCaptions;	// IMP=0x00011f73
- (void)setShowsGroupsListInPopUpMode:(BOOL)fp8;	// IMP=0x00011f82
- (BOOL)showsGroupsListInPopUpMode;	// IMP=0x00011faa
- (void)setAllowsUserAddedCustomFolders:(BOOL)fp8;	// IMP=0x00011fcb
- (BOOL)allowsUserAddedCustomFolders;	// IMP=0x00011ff3
- (void)setSingleWindowModeEnabled:(BOOL)fp8;	// IMP=0x00012014
- (BOOL)isSingleWindowModeEnabled;	// IMP=0x0001203c
- (void)showGroupPopUp;	// IMP=0x0001205d
- (void)showGroupOutlineViewWithHeight:(int)fp8;	// IMP=0x000121a5
- (BOOL)isInPopupMode;	// IMP=0x000123c1
- (BOOL)isFlipped;	// IMP=0x000123d0
- (void)_resetContent;	// IMP=0x000123da
- (void)_createControlView;	// IMP=0x00014aab
- (void)removeFromSuperview;	// IMP=0x0001242f
- (void)_layoutInterface;	// IMP=0x000141c3
- (struct _NSRect)_calculateGroupsPopUpRect;	// IMP=0x00014154
- (void)_mediaPreviewStateChanged:(id)fp8;	// IMP=0x00012648
- (void)setShowsApplyButton:(BOOL)fp8;	// IMP=0x00012817
- (BOOL)showsApplyButton;	// IMP=0x0001282f
- (void)setApplyButtonEnabled:(BOOL)fp8;	// IMP=0x00012852
- (void)viewControllerSelectionDidChange:(id)fp8;	// IMP=0x0001286a
- (void)observeValueForKeyPath:(id)fp8 ofObject:(id)fp12 change:(id)fp16 context:(void *)fp20;	// IMP=0x0001295f
- (void)_configureSearchField;	// IMP=0x00012cbc
- (BOOL)_shouldLoadMediaManager:(id)fp8;	// IMP=0x00012eff
- (BOOL)_shouldDisplayMediaGroup:(id)fp8;	// IMP=0x00012f09
- (BOOL)_shouldDisplayMediaObject:(id)fp8;	// IMP=0x00013029
- (BOOL)_shouldSelectMediaObject:(id)fp8;	// IMP=0x00013070
- (id)itemCountTextField;	// IMP=0x000130b7
- (id)searchField;	// IMP=0x000130c2
- (void)clearSearch:(id)fp8;	// IMP=0x000130cd
- (int)currentMediaType;	// IMP=0x000131c5
- (void)addCustomFolder:(id)fp8 forBrowser:(int)fp12;	// IMP=0x00013200
- (BOOL)accessibilityIsIgnored;	// IMP=0x00013221
- (id)accessibilityAttributeNames;	// IMP=0x0001322b
- (id)accessibilityAttributeValue:(id)fp8;	// IMP=0x00013302
- (float)splitView:(id)fp8 constrainMinCoordinate:(float)fp12 ofSubviewAt:(int)fp16;	// IMP=0x0001338b
- (float)splitView:(id)fp8 constrainMaxCoordinate:(float)fp12 ofSubviewAt:(int)fp16;	// IMP=0x0001339c
- (void)needToUpdateSplitViewSize;	// IMP=0x000135cf
- (BOOL)splitView:(id)fp8 canCollapseSubview:(id)fp12;	// IMP=0x000137d0
- (void)splitViewDidResizeSubviews:(id)fp8;	// IMP=0x00013e3d
- (id)objectSpecifier;	// IMP=0x000137d7
- (id)mediaBrowserViews;	// IMP=0x0001390b
- (id)mediaBrowserView;	// IMP=0x0001393d
- (id)iPhotoMediaManager;	// IMP=0x000139a6
- (id)iTunesMediaManager;	// IMP=0x000139c7
- (id)folderMediaManager;	// IMP=0x000139e8
- (id)garageBandMediaManager;	// IMP=0x00013a09
- (void)setBackgroundColor:(id)fp8;	// IMP=0x00013bec
- (id)backgroundColor;	// IMP=0x00013c0d
- (void)setTableTextColor:(id)fp8;	// IMP=0x00013c2e
- (id)tableTextColor;	// IMP=0x00013c4f
- (void)setTableAlternatingRowColors:(id)fp8;	// IMP=0x00013c70
- (id)tableAlternatingRowsColors;	// IMP=0x00013c91
- (void)setTableSelectionColor:(id)fp8;	// IMP=0x00013cb2
- (id)tableSelectionColor;	// IMP=0x00013cd3
- (void)setOutlineTriangleColor:(id)fp8;	// IMP=0x00013cf4
- (id)outlineTriangleColor;	// IMP=0x00013d15
- (void)setItemCountTextColor:(id)fp8;	// IMP=0x00013d36
- (id)itemCountTextColor;	// IMP=0x00013d8b
- (void)setDividerLineColor:(id)fp8;	// IMP=0x00013dac
- (id)dividerLineColor;	// IMP=0x00013e2f

@end
